Skip to main content
GET
Delivers a queryable overview list of all MarketplaceInvoiceCorrectionPdfUploadListItem

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

invoiceCorrectionCreatedAtAfter
string<date-time>

Only include items whose InvoiceCorrectionCreatedAt is after (greater than) this value.

invoiceCorrectionCreatedAtBefore
string<date-time>

Only include items whose InvoiceCorrectionCreatedAt is before (less than) this value.

createdAtAfter
string<date-time>

Only include items whose CreatedAt is after (greater than) this value.

createdAtBefore
string<date-time>

Only include items whose CreatedAt is before (less than) this value.

printStartedAtAfter
string<date-time>

Only include items whose PrintStartedAt is after (greater than) this value.

printStartedAtBefore
string<date-time>

Only include items whose PrintStartedAt is before (less than) this value.

printCompletedAtAfter
string<date-time>

Only include items whose PrintCompletedAt is after (greater than) this value.

printCompletedAtBefore
string<date-time>

Only include items whose PrintCompletedAt is before (less than) this value.

uploadCompletedAtAfter
string<date-time>

Only include items whose UploadCompletedAt is after (greater than) this value.

uploadCompletedAtBefore
string<date-time>

Only include items whose UploadCompletedAt is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
items
object[]
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>